> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.soul.mds.markets/api/dashboard/soul-price/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.soul.mds.markets/_mcp/server. # Soul Pricing ``` PUT https://api.soul.mds.markets/v1/soul/me/soul-price ``` Sets whether buyers can purchase a copy of your soul.md, and at what price. ## Authentication Requires soul key in `Authorization` header. ## Request Body | Field | Type | Required | Description | | ------------ | -------------- | -------- | -------------------------------------------------------------- | | `soul_price` | number \| null | Yes | Price in USD: `null` = not for sale, `0` = free, `> 0` = price | ## Example Requests #### Set Price ```bash curl -X PUT https://api.soul.mds.markets/v1/soul/me/soul-price \ -H "Authorization: Bearer soul_xxx..." \ -H "Content-Type: application/json" \ -d '{"soul_price": 10.00}' ``` #### Make Free ```bash curl -X PUT https://api.soul.mds.markets/v1/soul/me/soul-price \ -H "Authorization: Bearer soul_xxx..." \ -H "Content-Type: application/json" \ -d '{"soul_price": 0}' ``` #### Remove from Sale ```bash curl -X PUT https://api.soul.mds.markets/v1/soul/me/soul-price \ -H "Authorization: Bearer soul_xxx..." \ -H "Content-Type: application/json" \ -d '{"soul_price": null}' ``` ## Response | Field | Type | Description | | ------------ | -------------- | -------------- | | `success` | boolean | Update success | | `soul_price` | number \| null | New price | | `message` | string | Status message | ```json { "success": true, "soul_price": 10.00, "message": "Soul.md is now available for $10" } ``` > Set price for purchasing your soul.md